#include <Wire.h>
#include<SoftwareSerial.h>

#define button A3
#define led1 A2
SoftwareSerial mySerial(1, 0); // RX, TX

void setup() {
  pinMode(led1, OUTPUT);
  digitalWrite(led1, HIGH);
  delay(2000);
  digitalWrite(led1, LOW);
  mySerial.begin(9600);
  mySerial.println("Start");

  Wire.begin();
  pinMode(button, INPUT_PULLUP);
}

void loop() {
  int data;
  data = digitalRead(button);
  mySerial.println(data);
  
  if (data == 1)
  {
    digitalWrite(led1, HIGH);
  
    Wire.beginTransmission(8);
    Wire.write(1);
    Wire.endTransmission();
    
  }
  else {
    digitalWrite(led1, LOW);
   
    Wire.beginTransmission(8);
   Wire.write(0);
    Wire.endTransmission();
    
  }


  delay(500);
}
